pcl::PlanarRegion< PointT > Class Template Reference

PlanarRegion represents a set of points that lie in a plane. More...

`#include <pcl/segmentation/planar_region.h>`

Inheritance diagram for pcl::PlanarRegion< PointT >:

## Public Member Functions

| PlanarRegion ()
| Empty constructor for PlanarRegion. More...
| PlanarRegion (const pcl::Region3D< PointT > &region, const pcl::PlanarPolygon< PointT > &polygon)
| Constructor for Planar region from a Region3D and a PlanarPolygon. More...
virtual | ~PlanarRegion ()
| Destructor. More...
| PlanarRegion (const Eigen::Vector3f &centroid, const Eigen::Matrix3f &covariance, unsigned count, const typename pcl::PointCloud< PointT >::VectorType &contour, const Eigen::Vector4f &coefficients)
| Constructor for PlanarRegion. More...
Public Member Functions inherited from pcl::Region3D< PointT >
| Region3D ()
| Empty constructor for Region3D. More...
| Region3D (Eigen::Vector3f &centroid, Eigen::Matrix3f &covariance, unsigned count)
| Constructor for Region3D. More...
virtual | ~Region3D ()
| Destructor. More...
Eigen::Vector3f | getCentroid () const
| Get the centroid of the region. More...
Eigen::Matrix3f | getCovariance () const
| Get the covariance of the region. More...
unsigned | getCount () const
| Get the number of points in the region. More...
float | getCurvature () const
| Get the curvature of the region. More...
void | setCurvature (float curvature)
| Set the curvature of the region. More...
Public Member Functions inherited from pcl::PlanarPolygon< PointT >
| PlanarPolygon ()
| Empty constructor for PlanarPolygon. More...
| PlanarPolygon (typename pcl::PointCloud< PointT >::VectorType &contour, Eigen::Vector4f &coefficients)
| Constructor for PlanarPolygon. More...
virtual | ~PlanarPolygon ()
| Destructor. More...
void | setContour (const pcl::PointCloud< PointT > &contour)
| Set the internal contour. More...
pcl::PointCloud< PointT >::VectorType & | getContour ()
| Getter for the contour / boundary. More...
const pcl::PointCloud< PointT >::VectorType & | getContour () const
| Getter for the contour / boundary. More...
void | setCoefficients (const Eigen::Vector4f &coefficients)
| Setr the internal coefficients. More...
void | setCoefficients (const pcl::ModelCoefficients &coefficients)
| Set the internal coefficients. More...
Eigen::Vector4f & | getCoefficients ()
| Getter for the coefficients. More...
const Eigen::Vector4f & | getCoefficients () const
| Getter for the coefficients. More...

## Additional Inherited Members

Public Types inherited from pcl::PlanarPolygon< PointT >
typedef boost::shared_ptr< PlanarPolygon< PointT > > | Ptr
typedef boost::shared_ptr< const PlanarPolygon< PointT > > | ConstPtr
Protected Attributes inherited from pcl::Region3D< PointT >
Eigen::Vector3f | centroid_
| The centroid of the region. More...
Eigen::Matrix3f | covariance_
| The covariance of the region. More...
unsigned | count_
| The number of points in the region. More...
float | curvature_
| The mean curvature of the region. More...
Protected Attributes inherited from pcl::PlanarPolygon< PointT >
pcl::PointCloud< PointT >::VectorType | contour_
| A list of points on the boundary/contour of the planar region. More...
Eigen::Vector4f | coefficients_
| A list of model coefficients (a,b,c,d). More...

## Detailed Description

### template<typename PointT>
class pcl::PlanarRegion< PointT >

PlanarRegion represents a set of points that lie in a plane.

Inherits summary statistics about these points from Region3D, and summary statistics of a 3D collection of points.

Author
  Alex Trevor

Definition at line 50 of file planar_region.h.

## Constructor & Destructor Documentation

## PlanarRegion() [1/3]

template<typename PointT>

pcl::PlanarRegion< PointT >::PlanarRegion | ( |  | ) |

inline

Empty constructor for PlanarRegion.

Definition at line 61 of file planar_region.h.

## PlanarRegion() [2/3]

template<typename PointT>

pcl::PlanarRegion< PointT >::PlanarRegion | ( | const pcl::Region3D< PointT > & | region,
|  | const pcl::PlanarPolygon< PointT > & | polygon
| ) |  |

inline

Constructor for Planar region from a Region3D and a PlanarPolygon.

Parameters

  [in] | region | a Region3D for the input data
  [in] | polygon | a PlanarPolygon for the input region

Definition at line 68 of file planar_region.h.

References pcl::Region3D< PointT >::centroid_, pcl::PlanarPolygon< PointT >::coefficients_, pcl::PlanarPolygon< PointT >::contour_, pcl::Region3D< PointT >::count_, and pcl::Region3D< PointT >::covariance_.

## ~PlanarRegion()

template<typename PointT>

virtual pcl::PlanarRegion< PointT >::~PlanarRegion | ( |  | ) |

inline virtual

Destructor.

Definition at line 79 of file planar_region.h.

## PlanarRegion() [3/3]

template<typename PointT>

pcl::PlanarRegion< PointT >::PlanarRegion | ( | const Eigen::Vector3f & | centroid,
|  | const Eigen::Matrix3f & | covariance,
|  | unsigned | count,
|  | const typename pcl::PointCloud< PointT >::VectorType & | contour,
|  | const Eigen::Vector4f & | coefficients
| ) |  |

inline

Constructor for PlanarRegion.

Parameters

  [in] | centroid | the centroid of the region.
  [in] | covariance | the covariance of the region.
  [in] | count | the number of points in the region.
  [in] | contour | the contour / boudnary for the region
  [in] | coefficients | the model coefficients (a,b,c,d) for the plane

Definition at line 88 of file planar_region.h.

References pcl::Region3D< PointT >::centroid_, pcl::PlanarPolygon< PointT >::coefficients_, pcl::PlanarPolygon< PointT >::contour_, pcl::Region3D< PointT >::count_, and pcl::Region3D< PointT >::covariance_.

The documentation for this class was generated from the following file:

- /build/pcl-qv3n_B/pcl-1.8.1+dfsg1/segmentation/include/pcl/segmentation/planar_region.h